#!/usr/bin/Rscript
#path to database 
#set working directory to directory with scripts
setwd("")

#instal packages if does not exist. This packages are used during calculation  
list.of.packages <- c("DBI", "RSQLite", "rgrass7", "rgdal")
new.packages <- list.of.packages[!(list.of.packages %in% installed.packages()[,"Package"])]
if(length(new.packages)) install.packages(new.packages)


#define path to directory with database and name of database
us_db_path="outs/census_db"
us_db_name = "sample_db.sqlite"

#Location of data downoladed from NHGIS and other file imported to database (i.e state code)
#before import census file to dbI need to remove quotes before imported to db
us_census_file= "SAMPLE_DATA/CENSUS_SAMPLE/nhgis_block.csv"
state_files = "SAMPLE_DATA/CENSUS_SAMPLE/state_code.csv" 

#path to census_sp files saved as rds files
out_path = "outs/census_sp_files"


#NAME OF TABLES IN DATA BASE 
#path to directory with grass gis location
grass_data_path = "SAMPLE_DATA"
grass_location_name="SAMPLE_GRASSGIS_LOCATION"
#name of original shapefile imported to grass 
shp_data_suffix = '_block_2010_attr'

ancillary_class = 0:2 #vector of ancillary class
ancillary_layer_prefix = "cnt_anc_2011_3cl"

thres=c(100,90,95) #define thresholds to calculate density coefficients

#density_coefficients=c(0,99.74,0.26)

#export map into tif
out_tif_pf = "outs/geotiff"
out_tif_map_name = "_pop2010"


