source("dasy_parameters.R")
library(DBI)
library(RSQLite) #work with database 
#create list of states 
#read list of states from file 
us_db <- dbConnect(SQLite(), dbname = file.path(us_db_path,us_db_name, fsep = .Platform$file.sep))
list_of_states = dbGetQuery(us_db, "SELECT  ABBR, STATE_CODE from US_STATES")
list_of_states = list_of_states[!list_of_states$ABBR%in%c("AK", "HI", "PR"),]
list_of_states = list_of_states[list_of_states$ABBR%in%c("OH"),]
dbDisconnect(us_db)   
