#set working directory - path to directory with scripts
setwd("")
print("s1")
#script r1_sqlite perform preprocessing of data (create database and extract information from shapefiles)
source("r1_sqlite.R")
print("s2")
#script r2_grass.R perform preprocessing of data (ancillary data and raster boundary layer are read from GRASS GIS into R (spatial data frame), and a few preprocessing steps of data are performed: calculate area of ancillary class in block boundary, )
source("r2_grass.R")
print("s3")
#calculate density coeficients to perform dasymetric modeling 
source("r3_dens_coef.R")
print("s4")
#perform dasymetric modeling
source("r4_dasymetric.R")
print("s5")
#export output maps from R into tiff format. 
source("r5_export_to_tiff.R")

#Calculation are performed for each county in the U.S. To join county geotif in one map: 
#gdalbuildvrt -te 922740 1790130 1292670 2211930  -tr 30 30 pop.vrt cnt*
#gdal_translate pop.vrt pop.tif



